For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/get-api-contacts-list.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

List Contacts

GET
/api/contacts/list
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { contacts, contactError } = await reloop.contacts.list({
6 page: 1,
7 limit: 10,
8 status: "subscribed",
9});
10if (contactError) throw contactError;
1{
2 "object": "contact",
3 "contacts": [
4 {
5 "object": "contact",
6 "id": "con_123456789",
7 "email": "john.doe@example.com",
8 "firstName": "John",
9 "lastName": "Doe",
10 "status": "subscribed",
11 "properties": {
12 "company": "Reloop",
13 "role": "Developer"
14 },
15 "groups": [
16 {
17 "id": "grp_123",
18 "name": "Beta Testers"
19 }
20 ],
21 "channels": [
22 {
23 "id": "tpc_123",
24 "name": "Newsletter",
25 "subscription": "opt_in"
26 }
27 ],
28 "suppressionReason": null,
29 "suppressedAt": null,
30 "createdAt": "2026-03-23T10:00:00Z",
31 "updatedAt": "2026-03-23T10:00:00Z"
32 }
33 ],
34 "total": 1,
35 "page": 0,
36 "limit": 0,
37 "totalContacts": 0,
38 "subscribedContacts": 0,
39 "unsubscribedContacts": 0,
40 "event": "evt_123456789"
41}

Query Parameters

pagenumberdefault: 1
  • Minimum value: 1
limitnumberdefault: 100
  • Minimum value: 1
  • Maximum value: 100
searchstring

Search by email

status"subscribed" | "unsubscribed" | "blocked"

Possible values: subscribed | unsubscribed | blocked

Was this page helpful?